Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

fiz besteira

fui tentar rodar o código com o comparator so que tava dando erro pq minha jre era 1.7, dai eu dei um quickfix e ele mudou a jre do meu projeto para 1.8 ... ai parou de compilar tudo ! kkk

dai eu entrei la no build path exclui a jre 1.8 e depois adicionei a 1.7

agora sempre que compilo qualquer cogido recebo essa exception

Exception in thread "main" java.lang.UnsupportedClassVersionError: TestandoListas : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at java.security.SecureClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.access$100(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

alguem pode me ajudar? kkkk

2 respostas

Olha nesse caso acho que o ideal é você manter no sistema apena a jdk 8. E após isso crie um novo projeto configurado para a jdk 8. Copie seus códigos em um novo projeto dessa maneira. Acredito que voltará a funcionar.

solução

tava fazendo cabaçada, consegui resolver !